# Packmangroup: Multimedia
# Packmanpackagename: kaffeine-mozilla
# Packman: Manfred Tremmel
# Packmanpackagedesc: <p>kaffeine-mozilla provides multimedia capabilities to Netscape/Mozilla or compatible browsers using kaffeine.</p>
# Packmanpackagedesc_de: <p>kaffeine-mozilla stellt Netscape/Mozilla und kompatiblen Browsern Multimediaf&auml;higkeiten basierend auf Kaffeine zur Verf&uuml;gung.</p>

# norootforbuild

%define major   2
%define libname libxine%{major}
%define libvers 1.2.6

%if %suse_version > 1110
Name:           kde3-kaffeine-mozilla
%else
Name:           kaffeine-mozilla
%endif
Summary:        A Netscape/Mozilla plugin using kaffeine for audio/video playback
Summary(de):    Ein Netscape/Mozilla Plugin welches kaffeine zur Wiedergabe von Audio/Videos nutzt
Version:        0.2
Release:        3.1
Group:          Productivity/Networking/Web/Browsers
License:        GPL
Url:            http://kaffeine.sourceforge.net

Source0:        kaffeine-mozilla-0.2.tar.bz2

Vendor:         Packman
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
%if %suse_version > 1110
Requires:       kde3-kaffeine >= 0.8.8
BuildRequires:  kde3-kaffeine >= 0.8.8
BuildRequires:  kde3-kaffeine-devel >= 0.8.8
%else
Requires:       kaffeine >= 0.8.8
BuildRequires:  kaffeine >= 0.8.8
BuildRequires:  kaffeine-devel >= 0.8.8
%endif
Requires:       %{libname} >= %{libvers}
BuildRequires:  %{libname} >= %{libvers}
BuildRequires:  libxine-devel >= %{libvers}
BuildRequires:  xorg-x11-devel
BuildRequires:  xorg-x11-libs
BuildRequires:  autoconf automake libtool

%description
kaffeine-mozilla provides multimedia capabilities to Netscape/Mozilla or
compatible browsers using kaffeine.

%description -l de
kaffeine-mozilla stellt Netscape/Mozilla und kompatiblen Browsern Multimediafähigkeiten
basierend auf Kaffeine zur Verfügung.



%prep
%setup -n kaffeine-mozilla-%{version}

%build
export CFLAGS="${RPM_OPT_FLAGS}"

if [ ! -f configure ]; then
   NO_CONFIGURE=1 ./autogen.sh
fi
libtoolize --copy --force
aclocal
autoconf

%configure
%{__make} %{?jobs:-j%{jobs}}

%install
%makeinstall
%{__mkdir_p} %{buildroot}%{_libdir}/browser-plugins
if [ ! -f %{buildroot}/usr/plugins/kaffeineplugin.so ]; then
	if [ -f %{buildroot}/usr/plugins/kaffeineplugin ]; then
		mv %{buildroot}/usr/plugins/kaffeineplugin %{buildroot}/usr/plugins/kaffeineplugin.so
	fi
fi
mv %{buildroot}/usr/plugins/kaffeineplugin.so %{buildroot}%{_libdir}/browser-plugins/
%{__rm} -rf %{buildroot}/usr/plugins

%post
if [ "$1" = "1" ] || [ "$1" = "2" ] ; then # install or update
	# plugindirs to check
	PLUGINDIRS='/opt/mozilla/%{_lib}/plugins /opt/MozillaFirefox/%{_lib}/plugins /opt/netscape/plugins /opt/mozilla/plugins %{_libdir}/firefox/plugins'
	# pluginname
	PLUGINNAME='kaffeineplugin.so'

	for PLUGINDIR in ${PLUGINDIRS}; do
		if [ -d ${PLUGINDIR} ]; then
			cd ${PLUGINDIR}
			# check if plugin directory exists
			if [ ! -L ${PLUGINNAME} ]; then
				# add a symlink if it doesn't exists
				%{__ln_s} %{_libdir}/browser-plugins/${PLUGINNAME} .
			fi
			cd -
		fi
	done
fi

%preun
if [ "$1" = "0" ]; then # remove
	# plugindirs to check
	PLUGINDIRS='/opt/mozilla/%{_lib}/plugins /opt/MozillaFirefox/%{_lib}/plugins /opt/netscape/plugins /opt/mozilla/plugins %{_libdir}/firefox/plugins'
	# pluginname
	PLUGINNAME='kaffeineplugin.so'

	for PLUGINDIR in ${PLUGINDIRS}; do
		if [ -d ${PLUGINDIR} ]; then
			cd ${PLUGINDIR}
			# check if plugin directory exists
			if [ -L ${PLUGINNAME} ]; then
				# add a symlink if it doesn't exists
				%{__rm} -f ${PLUGINNAME}
			fi
			cd -
		fi
	done
fi

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README AUTHORS COPYING ChangeLog
%{_libdir}/browser-plugins/kaffeineplugin.so

%changelog
* Fri Feb 26 2016 olaf@aepfle.de
- Use libxine2 1.2.6+ to fix build
* Tue May 22 2012 seife+obs@b1-systems.com
- add explicit "BuildRequires: autoconf automake libtool" for >12.1
- remove obsolete %%suse_update_config
* Sun Sep 20 2009 Manfred.Tremmel@iiv.de
- some changes for openSUSE 11.2
* Sat Sep 12 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Sun May 23 2004 Manfred.Tremmel@iiv.de
- Update to 0.2
* Sat May 22 2004 Manfred.Tremmel@iiv.de
- first spec file
